# Google Cloud Dataproc API . media

## Instance Methods

Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

Method for media upload. Upload is supported on the URI `/upload/v1/media/{+name}`.

### Method Details

`download(resourceName, x__xgafv=None)`

    Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

    Args:
      resourceName: string, Name of the media that is being downloaded. See [][ByteStream.ReadRequest.resource_name]. (required)
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Media resource.
        "resourceName": "A String", # Name of the media resource.
      }

`download_media(resourceName, x__xgafv=None)`

    Method for media download. Download is supported on the URI `/v1/media/{+name}?alt=media`.

    Args:
      resourceName: string, Name of the media that is being downloaded. See [][ByteStream.ReadRequest.resource_name]. (required)
      x__xgafv: string, V1 error format.

    Returns:
      The media object as a string.

`upload(resourceName, body=None, media_body=None, x__xgafv=None)`

    Method for media upload. Upload is supported on the URI `/upload/v1/media/{+name}`.

    Args:
      resourceName: string, Name of the media that is being downloaded. See [][ByteStream.ReadRequest.resource_name]. (required)
      body: object, The request body.
        The object takes the form of:

    { # Media resource.
      "resourceName": "A String", # Name of the media resource.
    }

      media_body: string, The filename of the media request body, or an instance of a MediaUpload object.
      x__xgafv: string, V1 error format.

    Returns:
      An object of the form:

        { # Media resource.
        "resourceName": "A String", # Name of the media resource.
      }